Summary: A 2-D X Window System based drawing program.
Name: tgif
Version: 3.0p16
Release: 6
Copyright: custom
Group: Amusements/Graphics
Source: ftp://ftp.x.org/contrib/applications/tgif/tgif-3.0-p16.tar.gz
Source1: tgif.desktop
Buildroot: /var/tmp/tgif-root

%description
An Xlib based interactive 2-D drawing tool for the X Window System.
Tgif can handle rectangles, ovals, rounded rectangles, arcs,
polylines, polygons, open-splines, closed-splines, text X11 bitmaps,
some X11 pixmaps and Encapsulated PostScript.  Tgif output can be sent
directly to a PostScript printer or incorporated into a LaTeX
document.

%prep
%setup -q  -n tgif-3.0-p16

%build
xmkmf
make CDEBUGFLAGS=-O2

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install.man DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 -o root -g root $RPM_SOURCE_DIR/tgif.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README HISTORY Copyright 
/usr/X11R6/bin/tgif
/usr/X11R6/bin/prtgif
/usr/X11R6/lib/X11/tgif
/usr/X11R6/man/man1/tgif.1x
/usr/X11R6/man/man1/prtgif.1x
/etc/X11/applnk/Applications/tgif.desktop

%changelog
* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Oct 12 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2

* Fri May 22 1998 Michael Maher <mike@redhat.com>
- added build root, checked package

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- grabbed contrib package
- updated version
